# Contribution Guidelines

## Table of Contents
- [Adding to this list](#adding-to-this-list)
- [Creating your own awesome list](#creating-your-own-awesome-list)
- [Adding something to an Awesome list](#adding-something-to-an-awesome-list)
- [Updating your Pull Request](#updating-your-pull-request)

## Adding to this list

Please ensure your pull request adheres to the following guidelines:

- Search previous suggestions before making a new one, as yours may be a duplicate.
- Make sure the list is useful before submitting. That implies it has enough content and every item has a good succinct description.
- Make an individual pull request for each suggestion.
- Use [title-casing](http://titlecapitalization.com) (AP style). 
- Use the following format: `[List Name](link)`
- Link additions should be added to the bottom of the relevant category.
- New categories or improvements to the existing categorization are welcome.
- Check your spelling and grammar.
- Make sure your text editor is set to remove trailing whitespace.
- The pull request and commit should have a useful title.
- The body of your commit message should contain a link to the repository.

Thank you for your suggestions!

## Creating your own awesome list

To create your own list, check out the [instructions](create-list.md).

## Adding something to an awesome list

If you have something awesome to contribute to an awesome list, this is how you do it.

You'll need a [GitHub account](https://github.com/join)!

1. Access the awesome list's GitHub page. For example: https://github.com/MaximAbramchuck/awesome-interviews
2. Click on the `README.md` file: ![Step 2 Click on Readme.md](https://leto34g.storage.yandex.net/rdisk/8948449e1d73cd0dcfef07f186b7a36e2f7f20d96790c13e852332d0463f7bfb/inf/7e5phO26eyQewxB0SXXAytng0o1HQ9hHVNdV9di4FeXYEPGQzRqXznc9UrAF_Rah2Ux7fSJqVWwPgOLkbBKExA==?uid=0&filename=2015-11-28%2013-28-41%20MaximAbramchuck%20awesome-interviews.png&disposition=inline&hash=&limit=0&content_type=image%2Fpng&tknv=v2&rtoken=7cb5689a2bde8e7a302bcb7c55b41c7c&force_default=no&ycrid=na-f270d9f138679e558b06ec1ec93034d7-downloader10e)
3. Now click on the edit icon. ![Step 3 - Click on Edit](https://leto29d.storage.yandex.net/rdisk/05fa06697433943f9203b0653fb0c800f8bf15690ba4d2e8efcd435dc3b8934b/inf/KIRmm9wzFRC95NHeDkZNaNHvzSktU7_HosUvbdi0WdjOVYACD2iNhCZLoJuOXyUo2ykJrzKiBnSlkBRWi1FQIQ==?uid=0&filename=2015-11-28%2013-29-56%20awesome-interviews%20README.md%20at%20master%20%C2%B7%20MaximAbramchuck%20awesome-interviews.png&disposition=inline&hash=&limit=0&content_type=image%2Fpng&tknv=v2&rtoken=7cb5689a2bde8e7a302bcb7c55b41c7c&force_default=no&ycrid=na-2c689dfbfd6867ddba96f0b10b4ba3bf-downloader10e)
4. You can start editing the text of the file in the in-browser editor. Make sure you follow guidelines above. You can use [GitHub Flavored Markdown](https://help.github.com/articles/github-flavored-markdown/). ![Step 4 - Edit the file](https://leto2f.storage.yandex.net/rdisk/0101ae04ba3a6d2e36f8fec8fd66929bce822ac477828c9d9af97e9fbf24b4cb/inf/n_E0tlZ5u0HYaW2S1k6W1nTYNnR-DKS78m3QtdFbkTzcjSj0Y-rzN10vrGMs85gbrez8mFR3TRJcMWTuPN3F-A==?uid=0&filename=2015-11-28%2013-31-20%20Editing%20awesome-interviews%20README.md%20at%20master%20%C2%B7%20MaximAbramchuck%20awesome-interviews.png&disposition=inline&hash=&limit=0&content_type=image%2Fpng&tknv=v2&rtoken=7cb5689a2bde8e7a302bcb7c55b41c7c&force_default=no&ycrid=na-0c11edf2ab8448c3bc9b221e3139c857-downloader10e)
5. Say why you're proposing the changes, and then click on "Propose file change". ![Step 5 - Propose Changes](https://leto30e.storage.yandex.net/rdisk/4ed220e31e45076c75274f6e428bfc577638d13ed51d781ee6911b9febd3d7c6/inf/oj_OaawPZ0980PXZqNTB5mTW3H7w2j9sPvnFUGsN6VvM69LS7jLsXgxNyyWJqGmJ5y4JYyO9LZSNkjyNEeYrEA==?uid=0&filename=2015-11-28%2013-31-59%20Editing%20awesome-interviews%20README.md%20at%20master%20%C2%B7%20MaximAbramchuck%20awesome-interviews.png&disposition=inline&hash=&limit=0&content_type=image%2Fpng&tknv=v2&rtoken=7cb5689a2bde8e7a302bcb7c55b41c7c&force_default=no&ycrid=na-7239d00ed9e5460b3946af9c615345f3-downloader10e)
6. Submit the [pull request](https://help.github.com/articles/using-pull-requests/)!

## Updating your Pull Request

Sometimes, a maintainer of an awesome list will ask you to edit your Pull Request before it is included. This is normally due to spelling errors or because your PR didn't match the awesome-* list guidelines.

[Here](https://github.com/RichardLitt/docs/blob/master/amending-a-commit-guide.md) is a write up on how to change a Pull Request, and the different ways you can do that.